Summary: A software wavetable MIDI synthesizer.
Name: timidity++
Version: 2.11.3
Release: 1
Group: Applications/Multimedia
Source: http://www.goice.co.jp/member/mo/timidity/dist/TiMidity++-%{version}.tar.bz2
Source1: http://archive.cs.umbc.edu/pub/midia/instruments.tar.bz2
Source2: timidity.cfg
Source3: http://www.stardate.bc.ca/eawpatches/eawpats/britepno.pat.bz2
Source4: http://www.stardate.bc.ca/eawpatches/eawpats/pistol.pat.bz2
Patch: TiMidity-2.10.3-redhat.patch
Patch1: TiMidity++-2.11.3-kde3.patch
Patch2: TiMidity++-2.10.3a2-evilcompat.patch
Patch3: TiMidity++-2.11.3-detect.patch
Patch4: TiMidity++-2.11.3-dlopen.patch
License: GPL
BuildRoot: %{_tmppath}/%{name}-root
Obsoletes: timidity++-X11
BuildRequires: arts-devel esound-devel autoconf253

%description
TiMidity++ is a MIDI format to wave table format converter and
player. Install timitidy++ if you'd like to play MIDI files and your
sound card does not natively support wave table format.

%prep
%setup -q -n TiMidity++-%{version}
# Put config files etc. to sane locations
%patch -p1 -b .redhat
# Add aRts support
%patch1 -p1 -b .kde
# The following patch is evil, but it's needed for interoperability.
# KDE 2.0 uses -OA for aRts in its hacked up version of TiMidity++, and
# since Alib support isn't available on Linux, it shouldn't hurt...
%patch2 -p1 -b .kdecompat
# Autodetect whether we should use aRts, esd, or neither
%patch3 -p1 -b .detect
# dlopen() libesd rather than introducing yet another requirement
%patch4 -p1 -b .dlopen

%build
# Workaround for legacy auto* tools
[ -x /usr/bin/autoconf-2.5? ] && ln -s /usr/bin/autoconf-2.5? autoconf
[ -x /usr/bin/autoheader-2.5? ] && ln -s /usr/bin/autoheader-2.5? autoheader
[ -x /usr/bin/aclocal-1.5 ] && ln -s /usr/bin/aclocal-1.5 aclocal
[ -x /usr/bin/automake-1.5 ] && ln -s /usr/bin/automake-1.5 automake
[ -x /usr/bin/aclocal-1.6 ] && ln -sf /usr/bin/aclocal-1.6 aclocal
[ -x /usr/bin/automake-1.6 ] && ln -sf /usr/bin/automake-1.6 automake
export PATH=`pwd`:$PATH
# End workaround

export CFLAGS="$RPM_OPT_FLAGS"
export LDFLAGS="-s"
autoconf
./configure --enable-dynamic \
	--enable-audio=oss,arts,esd,vorbis \
	--enable-ncurses --enable-slang \
	--enable-vt100 \
	--enable-server --enable-network \
	--without-x
make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall
mkdir -p $RPM_BUILD_ROOT%{_datadir}/timidity $RPM_BUILD_ROOT/etc
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT/etc/timidity.cfg
ln -s /etc/timidity.cfg $RPM_BUILD_ROOT%{_datadir}/timidity/timidity.cfg
cd $RPM_BUILD_ROOT%{_datadir}/timidity
tar xvjf %{SOURCE1}
bzip2 -dck %{SOURCE3} >instruments/britepno.pat
bzip2 -dck %{SOURCE4} >instruments/pistol.pat
if [ -e $RPM_BUILD_ROOT%{_bindir}/*-linux-timidity ]; then
	# automake is BROKEN
	mv $RPM_BUILD_ROOT%{_bindir}/*-linux-timidity $RPM_BUILD_ROOT%{_bindir}/timidity
	mv $RPM_BUILD_ROOT%{_mandir}/man1/*-linux-timidity* $RPM_BUILD_ROOT%{_mandir}/man1/timidity.1
	mv $RPM_BUILD_ROOT%{_mandir}/man5/*-linux-timidity* $RPM_BUILD_ROOT%{_mandir}/man5/timidity.cfg.5
fi

%files
%defattr(-,root,root)
%config(noreplace) /etc/timidity.cfg
%{_bindir}/*
%{_datadir}/timidity
%{_mandir}/*/*

%changelog
* Thu Jan 24 2002 Bernhard Rosenkraenzer <bero@redhat.com> 2.11.3-1
- Update to 2.11.3
- Extend the aRts output plugin to support KDE 3.x features
- Fix the dependency mess

* Wed Aug 22 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.10.4-2
- Finally managed to locate free versions of britepno.pat and pistol.pat
  (#50982)

* Sat Apr 14 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.10.4

* Fri Feb 23 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Change timidity.cfg to work perfectly with both the real
  TiMidity++ and the timidity version used in kmidi
- Fix a typo in the GUS drumset #0

* Mon Jan  8 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Autodetect whether the aRts, esd or dsp backend should
  be used

* Thu Dec  7 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Add aRts (KDE 2.x) backend (Patches #1 and #2)

* Mon Nov 27 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.10.3a2
- Move the config file to the FHSly correct place, /etc/timidity.cfg
- Enable ogg/vorbis support, now that we're shipping it

* Thu Aug 3 2000 Tim Powers <timp@redhat.com>
- rebuilt against libpng-1.0.8

* Wed Aug  2 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Move instrument files to /usr/share/timidity, where it's actually looking
  for them (Bug #13932)
- 2.9.5 (bugfix release)

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Mon Jul 17 2000 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Jun 28 2000 Than Ngo <than@redhat.de>
- FHS fixes
- clean up specfile
- use RPM macros

* Sat Jun 17 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.9.4

* Wed Jan 19 2000 Tim Powoers <timp@redhat.com>
- bzipped source to conserve space

* Sat Aug 14 1999 Bill Nottingham <notting@redhat.com>
- add a changelog
- strip binaries
